-- 表存储容量统计
 select
    database,
    table,
    formatReadableSize(size) as size,
    formatReadableSize(bytes_on_disk) as bytes_on_disk,
    formatReadableSize(data_uncompressed_bytes) as data_uncompressed_bytes,
    formatReadableSize(data_compressed_bytes) as data_compressed_bytes,
    compress_rate,
    rows,
    days,
    formatReadableSize(avgDaySize) as avgDaySize
from
(
    select
        database,
        table,
        sum(bytes) as size,
        sum(rows) as rows,
        min(min_date) as min_date,
        max(max_date) as max_date,
        sum(bytes_on_disk) as bytes_on_disk,
        sum(data_uncompressed_bytes) as data_uncompressed_bytes,
        sum(data_compressed_bytes) as data_compressed_bytes,
        (data_compressed_bytes / data_uncompressed_bytes) * 100 as compress_rate,
        max_date - min_date as days,
        size / (max_date - min_date) as avgDaySize
    from system.parts
    where active
--      and database = 'system'
     and database = 'thinker_cloud_device_service'
--      and table = 'meter_data'
    group by
        database,
        table
    order by size desc
);


-- 数据库容量统计
select
    sum(rows) as rows,--总行数
    formatReadableSize(sum(data_uncompressed_bytes)) as ysq,--原始大小
    formatReadableSize(sum(data_compressed_bytes)) as ysh,--压缩大小
    round(sum(data_compressed_bytes) / sum(data_uncompressed_bytes) * 100, 0) ys_rate--压缩率
from system.parts
where active
and database = 'fox_device_service';


-- 查看分区
select *
from system.parts
where active and table='meter_data';




SELECT query_id,user, query FROM system.processes;
 select * from system.metrics where metric like '%Connection'


        select
               toStartOfInterval(base.timestamp, INTERVAL 1 hour) as xValueDateTime,
--         date_trunc('hour', base.timestamp) as xValueDateTime,
                    toDecimal128(max(toDecimal128(base.value, 4)), 4) as yValue
        from meter_data as base
        where timestamp>='2022-05-13 00:00:00' and timestamp<='2022-05-14 00:00:00'
        GROUP BY xValueDateTime
        order by xValueDateTime;

truncate table reporting_raw_data;

select version()